description: 'Export current application configuration.'
options:
    directory: 'Define the export directory to save the configuration output.'
    tar: 'If set, the configuration will be exported to an archive file.'
    remove-uuid: 'If set, the configuration will be exported without uuid key.'
    remove-config-hash: 'If set, the configuration will be exported without the default site hash key.'
questions:
    directory: 'Enter the directory name to save the configuration files.'
messages:
    directory: 'The configuration was exported at "%s"'
    error: 'An error occurred while creating your directory at "%s"'
examples:
    - description: 'Optional you can add the path to export'
      execution: |
        drupal config:export  \
          --directory="path/to/export"
    - description: 'Export as a compressed file with uuid and config hashes removed'
      execution: |
        drupal config:export  \
          --directory="path/to/export" \
          --tar \
          --remove-uuid \
          --remove-config-hash

